From 4305bc1e093e4341aeddb857bd1e6203228000cb Mon Sep 17 00:00:00 2001
From: "R. Bernstein" <rocky@gnu.org>
Date: Sat, 25 Nov 2017 14:03:37 -0500
Subject: Fix breakage caused by unshadowing i_first_track

Reported and patch by KO Myung-Hun
---
 src/cdda-player.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/cdda-player.c b/src/cdda-player.c
index efeee19..333e1f5 100644
--- a/src/cdda-player.c
+++ b/src/cdda-player.c
@@ -531,8 +531,8 @@ static void
 get_cddb_disc_info(CdIo_t *p_cdio)
 {
 #ifdef HAVE_CDDB
-  b_db = init_cddb(p_cdio, &p_conn, &p_cddb_disc, xperror, i_first_track,
-                   i_tracks, &i_cddb_matches);
+  b_db = init_cddb(p_cdio, &p_conn, &p_cddb_disc, xperror, i_first_track_global,
+                   i_tracks_global, &i_cddb_matches);
   if (b_db) {
     int i_year;
     i_year = atoi(year);
@@ -831,7 +831,7 @@ get_cddb_track_info(track_t i_track)
 {
 #ifdef HAVE_CDDB
   cddb_track_t *t = cddb_disc_get_track(p_cddb_disc,
-                                        i_track - i_first_track);
+                                        i_track - i_first_track_global);
   if (t) {
     cddb_track_set_title(t, title);
     cddb_track_set_artist(t, artist);
-- 
cgit v1.0-41-gc330

